/* Generated phase table, do not edit */
/*   gen_phase_table -o pxmc_ptprofile_sin3ph.c -N pxmc_ptprofile_sin3ph -c -i 252 -s sin3ph -n 3 -f c-struct */

/* ptirc=252 ptper=1 ptamp=32767 phasenum=3 combined=1*/
/* shape="sin3ph" */
/* ptable_name="pxmc_ptprofile_sin3ph" */

#include "pxmc_internal.h"

static const short
pxmc_ptprofile_sin3ph_phase1[]={
   32767,
   32756,
   32726,
   32675,
   32604,
   32512,
   32401,
   32269,
   32117,
   31945,
   31753,
   31542,
   31311,
   31060,
   30790,
   30501,
   30194,
   29867,
   29522,
   29158,
   28776,
   28377,
   27959,
   27525,
   27073,
   26604,
   26119,
   25618,
   25100,
   24568,
   24019,
   23456,
   22879,
   22287,
   21681,
   21062,
   20429,
   19784,
   19127,
   18458,
   17777,
   17085,
   16383,
   15670,
   14948,
   14217,
   13476,
   12727,
   11971,
   11206,
   10435,
    9658,
    8874,
    8085,
    7291,
    6492,
    5689,
    4883,
    4074,
    3262,
    2448,
    1633,
     816,
       0,
    -816,
   -1633,
   -2448,
   -3262,
   -4074,
   -4883,
   -5689,
   -6492,
   -7291,
   -8085,
   -8874,
   -9658,
  -10435,
  -11206,
  -11971,
  -12727,
  -13476,
  -14217,
  -14948,
  -15670,
  -16383,
  -17085,
  -17777,
  -18458,
  -19127,
  -19784,
  -20429,
  -21062,
  -21681,
  -22287,
  -22879,
  -23456,
  -24019,
  -24568,
  -25100,
  -25618,
  -26119,
  -26604,
  -27073,
  -27525,
  -27959,
  -28377,
  -28776,
  -29158,
  -29522,
  -29867,
  -30194,
  -30501,
  -30790,
  -31060,
  -31311,
  -31542,
  -31753,
  -31945,
  -32117,
  -32269,
  -32401,
  -32512,
  -32604,
  -32675,
  -32726,
  -32756,
  -32766,
  -32756,
  -32726,
  -32675,
  -32604,
  -32512,
  -32401,
  -32269,
  -32117,
  -31945,
  -31753,
  -31542,
  -31311,
  -31060,
  -30790,
  -30501,
  -30194,
  -29867,
  -29522,
  -29158,
  -28776,
  -28377,
  -27959,
  -27525,
  -27073,
  -26604,
  -26119,
  -25618,
  -25100,
  -24568,
  -24019,
  -23456,
  -22879,
  -22287,
  -21681,
  -21062,
  -20429,
  -19784,
  -19127,
  -18458,
  -17777,
  -17085,
  -16383,
  -15670,
  -14948,
  -14217,
  -13476,
  -12727,
  -11971,
  -11206,
  -10435,
   -9658,
   -8874,
   -8085,
   -7291,
   -6492,
   -5689,
   -4883,
   -4074,
   -3262,
   -2448,
   -1633,
    -816,
       0,
     816,
    1633,
    2448,
    3262,
    4074,
    4883,
    5689,
    6492,
    7291,
    8085,
    8874,
    9658,
   10435,
   11206,
   11971,
   12727,
   13476,
   14217,
   14948,
   15670,
   16383,
   17085,
   17777,
   18458,
   19127,
   19784,
   20429,
   21062,
   21681,
   22287,
   22879,
   23456,
   24019,
   24568,
   25100,
   25618,
   26119,
   26604,
   27073,
   27525,
   27959,
   28377,
   28776,
   29158,
   29522,
   29867,
   30194,
   30501,
   30790,
   31060,
   31311,
   31542,
   31753,
   31945,
   32117,
   32269,
   32401,
   32512,
   32604,
   32675,
   32726,
   32756,
   32766,
   32756,
   32726,
   32675,
   32604,
   32512,
   32401,
   32269,
   32117,
   31945,
   31753,
   31542,
   31311,
   31060,
   30790,
   30501,
   30194,
   29867,
   29522,
   29158,
   28776,
   28377,
   27959,
   27525,
   27073,
   26604,
   26119,
   25618,
   25100,
   24568,
   24019,
   23456,
   22879,
   22287,
   21681,
   21062,
   20429,
   19784,
   19127,
   18458,
   17777,
   17085,
   16383,
   15670,
   14948,
   14217,
   13476,
   12727,
   11971,
   11206,
   10435,
    9658,
    8874,
    8085,
    7291,
    6492,
    5689,
    4883,
    4074,
    3262,
    2448,
    1633,
     816,
       0,
    -816,
   -1633,
   -2448,
   -3262,
   -4074,
   -4883,
   -5689,
   -6492,
   -7291,
   -8085,
   -8874,
   -9658,
  -10435,
  -11206,
  -11971,
  -12727,
  -13476,
  -14217,
  -14948,
  -15670,
  -16383,
  -17085,
  -17777,
  -18458,
  -19127,
  -19784,
  -20429,
  -21062,
  -21681,
  -22287,
  -22879,
  -23456,
  -24019,
  -24568,
  -25100,
  -25618,
  -26119,
  -26604,
  -27073,
  -27525,
  -27959,
  -28377,
  -28776,
  -29158,
  -29522,
  -29867,
  -30194,
  -30501,
  -30790,
  -31060,
  -31311,
  -31542,
  -31753,
  -31945,
  -32117,
  -32269,
  -32401,
  -32512,
  -32604,
  -32675,
  -32726,
  -32756,
  -32766,
  -32756,
  -32726,
  -32675,
  -32604,
  -32512,
  -32401,
  -32269,
  -32117,
  -31945,
  -31753,
  -31542,
  -31311,
  -31060,
  -30790,
  -30501,
  -30194,
  -29867,
  -29522,
  -29158,
  -28776,
  -28377,
  -27959,
  -27525,
  -27073,
  -26604,
  -26119,
  -25618,
  -25100,
  -24568,
  -24019,
  -23456,
  -22879,
  -22287,
  -21681,
  -21062,
  -20429,
  -19784,
  -19127,
  -18458,
  -17777,
  -17085,
  -16383
};

const pxmc_ptprofile_t pxmc_ptprofile_sin3ph={
  .ptname="sin3ph",
  .ptid=0,
  .ptirc=252,
  .ptper=1,
  .ptamp=32767,
  .ptphnum=3,
  .ptptr1=pxmc_ptprofile_sin3ph_phase1+0,
  .ptptr2=pxmc_ptprofile_sin3ph_phase1+84,
  .ptptr3=pxmc_ptprofile_sin3ph_phase1+168,
};
